{ pkgs, config, lib, ... }:

with lib;

let
  cfg = config.settings.services.ssh;
in {
  options = {
    settings.services.ssh.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable ssh service
      '';
      default = false;
    };
  };

  config = mkIf cfg.enable {
    services.openssh = {
      enable = true;
      ports = [ 22 ];
    };

    networking.firewall.allowedTCPPorts = [ 22 ];
  };
}
